sbservices_client_free
sbservices_client_new
sbservices_client_start_service
sbservices_client_t
sbservices_error_t
sbservices_get_home_screen_wallpaper_pngdata
sbservices_get_icon_pngdata
sbservices_get_icon_state
sbservices_get_interface_orientation
sbservices_interface_orientation_t
SBSERVICES_SERVICE_NAME
sbservices_set_icon_state

## sbservices_get_home_screen_wallpaper_pngdata()

LIBIMOBILEDEVICE_API sbservices_error_t sbservices_get_home_screen_wallpaper_pngdata | ( | sbservices_client_t | client,
|  | char ** | pngdata,
|  | uint64_t * | pngsize )

Get the home screen wallpaper as PNG data.

Parameters

  client | The connected sbservices client to use.
  pngdata | Pointer that will point to a newly allocated buffer containing the PNG data upon successful return. It is up to the caller to free the memory.
  pngsize | Pointer to a uint64_t that will be set to the size of the buffer pngdata points to upon successful return.

Returns
  SBSERVICES_E_SUCCESS on success, SBSERVICES_E_INVALID_ARG when client or pngdata are invalid, or an SBSERVICES_E_* error code otherwise.